%global pypi_name livereload

Name:           %{pypi_name}
Version:        2.4.0
Release:        9%{?dist}
Summary:        Command line utility for starting a server in a directory
License:        MIT
URL:            https://github.com/lepture/python-livereload
Source0:        https://github.com/lepture/python-%{pypi_name}/archive/v%{version}.tar.gz
BuildArch:      noarch
Group:          Development/Libraries

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-six
BuildRequires:  python3-tornado
BuildRequires:  python3-certifi
#BuildRequires:  python3-sphinx
#BuildRequires:  python3-sphinx-theme-flask
Requires:       python3-tornado
Requires:       python3-six
Requires:       python3-certifi
%{?python_provide:%python_provide python3-%{pypi_name}}

%description
Python LiveReload provides a command line utility, livereload, for starting a 
server in a directory. By default, it will listen to port 35729, the common port 
for LiveReload browser extensions. LiveReload is designed for web developers who 
know Python.

#%package docs
#Summary:        Documentation for %name

#%description docs
#Documentation for %name.

%prep
%setup -q -n python-%{name}-%{version}

%build
%py3_build

%install
%py3_install

#pushd docs
#make html
#make man
#popd
#mv docs/_build/html htmldocs
#mkdir -p %{buildroot}/%{_mandir}/man1
#install -p -m 0644 docs/_build/man/livereload.1 %{buildroot}/%{_mandir}/man1/
#rm -rf docs
#rm -f htmldocs/.buildinfo

%check
%{__python3} setup.py test

%files
%doc README.rst CHANGES.rst
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_bindir}/*
#%{_mandir}/* 
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

#%files docs
#%doc CHANGES.rst htmldocs

%changelog
* Fri Sep 11 2015 Fedora <williamjmorenor at gmail.com> 
- 2.4.0-9
- Update Python Macros

* Thu Jul 09 2015 Fedora William Moreno Reyes <williamjmorenor at @gmail.com> 
- 2.4.0-8
- Do not build docs

* Thu Jul 09 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 2.4.0-7
- Not use compresed manpage

* Wed Jul 08 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 2.4.0-6
- Initial Import of #1230968
